#
# spec file for package mojave-gtk-theme
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name Mojave-gtk-theme
%define         _version 2024-11-15
Name:           mojave-gtk-theme
Version:        20241115
Release:        1.2
Summary:        MacOS Mojave like theme for GTK 3, Gnome-Shell and others
License:        GPL-3.0-only
Group:          System/GUI/Other
URL:            https://github.com/vinceliuice/Mojave-gtk-theme
Source:         https://github.com/vinceliuice/Mojave-gtk-theme/archive/%{_version}.tar.gz
Source1:        mojave-gtk-theme-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  inkscape
BuildRequires:  optipng
BuildRequires:  sassc
# FOR glib-compile-resources
BuildRequires:  glib2-devel
# for gtk2 only
Recommends:     gtk2-engine-murrine
BuildArch:      noarch

%description
MacOS Mojave like theme for GTK 3, GTK 2 and Gnome-Shell which supports GTK 3
and GTK 2 based desktop environments like Gnome, Pantheon, XFCE, Mate, etc.

%prep
%setup -q -n %{_name}-%{_version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/themes
./install.sh -d %{buildroot}%{_datadir}/themes
%fdupes %{buildroot}%{_datadir}/themes

%files
%license COPYING
%doc README.md
%{_datadir}/themes/*

%changelog
* Mon Dec 16 2024 Michael Vetter <mvetter@suse.com>
- Update to 20241115:
  * Fix gnome-shell 47 issues
  * Add small to xfwm4 #248
* Fri Aug  4 2023 Michael Vetter <mvetter@suse.com>
- Update to 20230804:
  * Add NixOS icon #238
* Fri Jun 23 2023 Michael Vetter <mvetter@suse.com>
- Update to 20230613:
  * Fixed gnome 44.0 issues
  * Render and dpi enhancements #236
* Mon Oct 24 2022 Michael Vetter <mvetter@suse.com>
- Update to 20221021:
  * Fixed libadwaita issues
  * Fixed gnome-shell 43 issues
* Tue Jun  7 2022 Michael Vetter <mvetter@suse.com>
- Update to 20220607:
  * Fixed #227
  * Update install.sh
* Tue May 24 2022 Michael Vetter <mvetter@suse.com>
- Update to 20220512:
  * Fixed gnome 42 issues
  * Rename all 'dark' to' Dark'
  * Updates for Budgie desktop #214
  * change shebang to #! /usr/bin/env bash to
    improve portability #218
  * Update README.md #221
* Wed Jul 21 2021 Michael Vetter <mvetter@suse.com>
- Update to 20210720:
  * Fix gnome-shell 40.3 issues
* Wed Jun 23 2021 Michael Vetter <mvetter@suse.com>
- Update to 20210623:
  * Several issues fixed
  * Full gnome 40 support
* Mon Nov 30 2020 Michael Vetter <mvetter@suse.com>
- Update to 20201129:
  * Fix gnome 3.38 issues
* Thu Mar 26 2020 Michael Vetter <mvetter@suse.com>
- Update to 20200324:
  * Fix gnome-shell issues
  * Add alt version back
* Thu Mar 19 2020 Michael Vetter <mvetter@suse.com>
- Update to 20200319:
  * Fix gnome-shell 3.36 issues
* Tue Feb 25 2020 Michael Vetter <mvetter@suse.com>
- Update to 20200220:
  * Switch to unison hovering
  * Fix budgie issues
  * Update Firefox Theme
  * Remove nav-bar's padding-left when window buttons are hidden
  * Fixed titlebutton backdrop hover icon issue
  * Deeper shadow
  * Fix thunar and tilix issues
* Mon Dec 16 2019 Michael Vetter <mvetter@suse.com>
- Update to 20191212:
  * Fix several gnome 3.34 issues
  * Add firefox theme
* Mon Sep  9 2019 mvetter@suse.com
- Update to 20190909:
  * Fix several icon issues
* Fri Aug 23 2019 Jan Engelhardt <jengelh@inai.de>
- Fix grammar in summary.
* Wed Aug 21 2019 mvetter@suse.com
- Add mojave-gtk-theme-rpmlintrc as source to spec file
* Thu Mar 21 2019 mvetter@suse.com
- Initial package in version 20190102 for openSUSE
